org.csstudio.opibuilder.scriptUtil

## Class GUIUtil

- java.lang.Object
- - org.csstudio.opibuilder.scriptUtil.GUIUtil

-     public class GUIUtil
      extends java.lang.Object

  The utility class to facilitate script programming in GUI operation.
  Author:
    Xihui Chen

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `GUIUtil()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `compactMode()` Enter or exit compact mode.
    `static void` | `fullScreen()` Enter or exit full screen.
    `static boolean` | `openConfirmDialog(java.lang.String dialogMessage)` Open a dialog to ask for confirmation.
    `static boolean` | `openPasswordDialog(java.lang.String dialogMessage, java.lang.String password)` Open a password dialog to allow user to input password.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### GUIUtil

          public GUIUtil()

  - ### Method Detail

    - #### openPasswordDialog

          public static boolean openPasswordDialog(java.lang.String dialogMessage,
                                   java.lang.String password)

      Open a password dialog to allow user to input password.
      Parameters:
        `dialogMessage` - the message on the dialog.
        `password` - the password
      Returns:
        true if user has input the correct password and clicked OK button. false otherwise.

    - #### openConfirmDialog

          public static boolean openConfirmDialog(java.lang.String dialogMessage)

      Open a dialog to ask for confirmation.
      Parameters:
        `dialogMessage` - the message on the dialog.
      Returns:
        true if user has clicked the YES button. False otherwise.

    - #### compactMode

          public static void compactMode()

      Enter or exit compact mode.

    - #### fullScreen

          public static void fullScreen()

      Enter or exit full screen.